package com.fjhx.customer.service.customer;

import com.fjhx.customer.entity.customer.po.Customer;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.customer.entity.customer.vo.CustomerVo;
import com.fjhx.customer.entity.customer.dto.CustomerSelectDto;
import com.fjhx.customer.entity.customer.dto.CustomerDto;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 客户表 服务类
 * </p>
 *
 * @author
 * @since 2023-04-04
 */
public interface CustomerService extends BaseService<Customer> {


    /**
     * 客户表分页
     */
    Page<CustomerVo> getPage(CustomerSelectDto dto);

    /**
     * 客户表明细
     */
    CustomerVo detail(Long id);

    /**
     * 客户表新增
     */
    void add(CustomerDto customerDto);

    /**
     * 客户表编辑
     */
    void edit(CustomerDto customerDto);

    /**
     * 客户表删除
     */
    void delete(Long id);

    /**
     * 私海客户表分页（添加权限自己看自己）
     */
    Page<CustomerVo> privateSeaPage(CustomerSelectDto dto);


}
