package com.fjhx.item.controller.product;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.common.constant.SourceConstant;
import com.fjhx.item.entity.product.dto.ProductInfoDto;
import com.fjhx.item.entity.product.dto.ProductInfoSelectDto;
import com.fjhx.item.entity.product.vo.ProductInfoVo;
import com.fjhx.item.service.product.ProductInfoService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;


/**
 * <p>
 * 产品库 前端控制器
 * </p>
 *
 * @author zlj
 * @since 2023-03-17
 */
@DS(SourceConstant.ITEM)
@RestController
@RequestMapping("/productInfo")
public class ProductInfoController {

    @Autowired
    private ProductInfoService productInfoService;

    /**
     * 产品库分页
     */
    @PostMapping("/page")
    public Page<ProductInfoVo> page(@RequestBody ProductInfoSelectDto dto) {
        return productInfoService.getPage(dto);
    }

    /**
     * 产品库分页 维多利亚
     */
    @PostMapping("/pageByWdly")
    public Page<ProductInfoVo> pageByWdly(@RequestBody ProductInfoSelectDto dto) {
        return productInfoService.getPageByWdly(dto);
    }

    /**
     * 产品库组合产品分页
     */
    @PostMapping("/getCombinationPage")
    public Page<ProductInfoVo> getCombinationPage(@RequestBody ProductInfoSelectDto dto) {
        return productInfoService.getCombinationPage(dto);
    }

    /**
     * 产品库明细
     */
    @PostMapping("/detail")
    public ProductInfoVo detail(@RequestBody BaseSelectDto dto) {
        return productInfoService.detail(dto.getId());
    }

    /**
     * 产品库新增
     */
    @PostMapping("/add")
    public void add(@RequestBody ProductInfoDto productInfoDto) {
        productInfoService.add(productInfoDto);
    }

    /**
     * 产品库新增 维多利亚
     */
    @PostMapping("/addByWdly")
    public void addByWdly(@RequestBody ProductInfoDto productInfoDto) {
        productInfoService.addByWdly(productInfoDto);
    }

    /**
     * 产品库编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody ProductInfoDto productInfoDto) {
        productInfoService.edit(productInfoDto);
    }

    /**
     * 产品库删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        productInfoService.delete(dto.getId());
    }

    @PostMapping("/excelImport")
    public void issueExcelImport(@RequestParam("file") MultipartFile file) {
        productInfoService.excelImport(file);
    }

    /**
     * 产品部门移交 维多利亚
     */
    @PostMapping("/transfer")
    public void transfer(@RequestBody ProductInfoDto productInfoDto) {
        productInfoService.transfer(productInfoDto);
    }


}
