package com.fjhx.item.service.product;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.item.entity.product.dto.ProductInfoDto;
import com.fjhx.item.entity.product.dto.ProductInfoSelectDto;
import com.fjhx.item.entity.product.po.ProductInfo;
import com.fjhx.item.entity.product.vo.ProductInfoVo;
import com.ruoyi.common.core.service.BaseService;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;


/**
 * <p>
 * 产品库 服务类
 * </p>
 *
 * @author zlj
 * @since 2023-03-17
 */
public interface ProductInfoService extends BaseService<ProductInfo> {

    /**
     * 产品库分页
     */
    Page<ProductInfoVo> getPage(ProductInfoSelectDto dto);

    /**
     * 产品库分页 维多利亚
     */
    Page<ProductInfoVo> getPageByWdly(ProductInfoSelectDto dto);

    /**
     * 获取产品分组
     */
    Page<ProductInfoVo> getCombinationPage(ProductInfoSelectDto dto);

    /**
     * 产品库明细
     */
    ProductInfoVo detail(Long id);

    /**
     * 产品库新增
     */
    void add(ProductInfoDto productInfoDto);

    /**
     * 产品库新增 维多利亚
     */
    void addByWdly(ProductInfoDto productInfoDto);

    /**
     * 产品库编辑
     */
    void edit(ProductInfoDto productInfoDto);

    /**
     * 产品库删除
     */
    void delete(Long id);

    /**
     * 根据产品IDS获取产品
     *
     * @param productIds
     * @return
     */
    List<ProductInfoVo> getListByProductIds(List<Long> productIds);

    /**
     * 根据产品类型获取产品
     *
     * @return
     */
    List<ProductInfoVo> getListByProductType(Integer productType);

    /**
     * excel导入
     */
    void excelImport(MultipartFile file);

    /**
     * 产品部门移交 维多利亚
     */
    void transfer(ProductInfoDto productInfoDto);
}
