package com.fjhx.sale.entity.sale.vo;

import com.fjhx.sale.entity.quotation.po.QuotationPay;
import com.fjhx.sale.entity.quotation.po.QuotationProduct;
import com.fjhx.sale.entity.sale.po.SaleQuotation;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * 报价表列表查询返回值实体
 *
 * @author
 * @since 2023-04-14
 */
@Getter
@Setter
public class SaleQuotationVo extends SaleQuotation {

    /**
     *  业务员名称
     */
    private  String userName;

    /**
     *  时间
     */
    private  String time;

    /**
     * 商品-报价单关联表信息
     */
    private List<QuotationProduct> quotationProductList;

    /**
     *报价 -收费项目表
     */
    private List<QuotationPay> quotationPayList;

    /**
     * 预付款
     */
    private BigDecimal advanceCharge;

    /**
     * 类型 10 为报价单  20 合同
     */
    private Integer type;

    /**
     * 买方公司名称
     */
    private String buyCorporationName;


    /**
     * 买方公司国家
     */
    private String buyCountryName;

    /**
     * 买方公司省
     */
    private String buyProvinceName;

    /**
     * 买方公司市
     */
    private String buyCityName;

    /**
     * 卖方公司详细地址
     */
    private String buyDetailedAddress;



}
