package com.fjhx.sale.mapper.contract;

import com.fjhx.customer.entity.customer.dto.CustomerDto;
import com.fjhx.sale.entity.contract.po.Contract;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.sale.entity.contract.vo.ContractVo;
import com.ruoyi.common.annotation.TenantIgnore;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 外销合同表 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-04-17
 */
public interface ContractMapper extends BaseMapper<Contract> {

    /**
     * 外销合同表分页
     */
    Page<ContractVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Contract> wrapper);

    /**
     * 根据客户ID查询未包装的订单
     * @param customerId
     * @return
     */
    List<ContractVo> getNoPackContractByCustomerId(@Param("customerId")String customerId);

    /**
     * 查询销售额（合同总金额）
     * @param id (买方公司ID)
     */
    ContractVo getSalesTotal(Long id);

    /**
     * 查询指定客户的每月合同总额
     * @param dto
     */
    @TenantIgnore
    List<ContractVo> getAmount(CustomerDto dto);
}
