package com.fjhx.sale.service.contract;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.customer.entity.customer.dto.CustomerDto;
import com.fjhx.sale.entity.contract.dto.ContractDto;
import com.fjhx.sale.entity.contract.dto.ContractSelectDto;
import com.fjhx.sale.entity.contract.po.Contract;
import com.fjhx.sale.entity.contract.vo.ContractPdfInfoVo;
import com.fjhx.sale.entity.contract.vo.ContractVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;


/**
 * <p>
 * 外销合同表 服务类
 * </p>
 *
 * @author
 * @since 2023-04-17
 */
public interface ContractService extends BaseService<Contract> {

    /**
     * 外销合同表分页
     */
    Page<ContractVo> getPage(ContractSelectDto dto);

    /**
     * 外销合同表明细
     */
    ContractVo detail(Long id);

    /**
     * 外销合同表新增
     */
    void add(ContractDto contractDto);

    /**
     * 外销合同表编辑
     */
    void edit(ContractDto contractDto);

    /**
     * 外销合同表删除
     */
    void delete(Long id);

    /**
     * 根据客户ID查询未包装的订单
     * @param customerId
     * @return
     */
    List<ContractVo> getNoPackContractByCustomerId(String customerId);

    /**
     * 根据合同ID集合查询合同
     */
    List<Contract> getByIds(List<Long> ids);

    /**
     * 获取合同明细
     */
    ContractPdfInfoVo getContractPdfInfo(Long id);

    /**
     * 查询销售额（合同总金额）
     * @param id（买方公司ID）
     */
    ContractVo  getSalesTotal(Long id);

    /**
     * 查询指定客户的每月合同总额
     * @param dto
     */
    List<ContractVo> getAmount(CustomerDto dto);
}
